package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

public interface BoxedWidget
{
   /**
    * Get the value of the BOX attribute
    *
    * @return   the value of the attribute
    */
   @LegacyAttribute(name = "BOX")
   public logical isBoxed();
   
   /**
    * Set the value of the BOX attribute
    *
    * @param   value
    *          the new value of the attribute
    */
   @LegacyAttribute(name = "BOX", setter = true)
   public void setBoxed(logical value);

   /**
    * Set the value of the BOX attribute
    *
    * @param   value
    *          the new value of the attribute
    */
   @LegacyAttribute(name = "BOX", setter = true)
   public void setBoxed(boolean value);
}
